library(stringr)
library(tidyr)
library(ggplot2)
library(gridExtra)

#faili sisselugemine ja andmete formaadi korrigeerimine
J132=read.csv("PT1-T1.3-J1.3.2.csv",header=TRUE, encoding ="UTF-8")
names(J132)=gsub("\\.", " ",  names(J132))
J132$`Linn vs maa`=as.factor(J132$`Linn vs maa`)
J132$`Episteemilised uskumused  kooli keskm `=as.numeric(J132$`Episteemilised uskumused  kooli keskm `)

#joonis
p1=ggplot(J132)+
  geom_point(aes(x=`Kooli keskmine SES`,y=`Kooli keskmine PISA koondtulemus`,size=`Kooli suurus  PISA uuringus osalevate õpilaste arv `, col=`Linn vs maa`),pch=1)+
  theme_minimal()+
  scale_color_manual(values=c("#1E272E","#FF3600"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  ylab("PISA koondtulemus")+
  theme(legend.position = "none")

p2=ggplot(J132)+
  geom_point(aes(x=`Kooli keskmine SES`,y=`Episteemilised uskumused  kooli keskm `,size=`Kooli suurus  PISA uuringus osalevate õpilaste arv `, col=`Linn vs maa`),pch=1)+
  theme_minimal()+
  scale_color_manual(values=c("#1E272E","#FF3600"))+
  ylab("Episteemilised uskumused")+
  scale_y_continuous(position = "right")+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(legend.position = "none")

grid.arrange(p1,p2,ncol=2)

 







